# mongoc_collection_drop_index()

## Synopsis

    bool
    mongoc_collection_drop_index (mongoc_collection_t *collection,
                                  const char          *index_name,
                                  bson_error_t        *error);

## Parameters

collection | A mongoc_collection_t.
index_name | A string containing the name of the index.
error | An optional location for a bson_error_t or NULL.

## Description

This function requests than an index on collection be dropped. In the event of an error it returns false and error is set.

## Errors

Errors are propagated via the error parameter.

## Returns

true if successful, otherwise false and error is set.